diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/random-variable-stream.h ns-3.47/src/core/model/random-variable-stream.h
--- ns-3.46/src/core/model/random-variable-stream.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/random-variable-stream.h	2026-02-16 16:08:49.585229900 -0800
@@ -1007,6 +1007,13 @@
     double GetVariance() const;
 
     /**
+     * @brief Returns the standard deviation value for the normal distribution returned by this RNG
+     * stream.
+     * @return The standard deviation value for the normal distribution returned by this RNG stream.
+     */
+    double GetStdDev() const;
+
+    /**
      * @brief Returns the bound on values that can be returned by this RNG stream.
      * @return The bound on values that can be returned by this RNG stream.
      */
@@ -1025,6 +1032,14 @@
     /** @copydoc GetValue(double,double,double) */
     uint32_t GetInteger(uint32_t mean, uint32_t variance, uint32_t bound);
 
+    /**
+     * Set standard deviation of this normal distribution RNG stream.
+     * The deviation is squared and stored as variance, which can also be set
+     * via the variance attribute.
+     * @param [in] stdDev Standard deviation value for the normal distribution.
+     */
+    void SetStdDev(double stdDev);
+
     // Inherited
     double GetValue() override;
     using RandomVariableStream::GetInteger;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/realtime-simulator-impl.cc ns-3.47/src/core/model/realtime-simulator-impl.cc
--- ns-3.46/src/core/model/realtime-simulator-impl.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/realtime-simulator-impl.cc	2026-02-16 16:08:49.585229900 -0800
@@ -7,19 +7,16 @@
 #include "realtime-simulator-impl.h"
 
 #include "assert.h"
-#include "boolean.h"
 #include "enum.h"
 #include "event-impl.h"
 #include "fatal-error.h"
 #include "log.h"
-#include "pointer.h"
 #include "ptr.h"
 #include "scheduler.h"
 #include "simulator.h"
 #include "synchronizer.h"
 #include "wall-clock-synchronizer.h"
 
-#include <cmath>
 #include <mutex>
 #include <thread>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/rng-seed-manager.cc ns-3.47/src/core/model/rng-seed-manager.cc
--- ns-3.46/src/core/model/rng-seed-manager.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/rng-seed-manager.cc	2026-02-16 16:08:49.585229900 -0800
@@ -7,7 +7,6 @@
 
 #include "rng-seed-manager.h"
 
-#include "attribute-helper.h"
 #include "config.h"
 #include "global-value.h"
 #include "log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/rng-seed-manager.h ns-3.47/src/core/model/rng-seed-manager.h
--- ns-3.46/src/core/model/rng-seed-manager.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/rng-seed-manager.h	2026-02-16 16:08:49.586229800 -0800
@@ -44,6 +44,8 @@
      * @note While the underlying RNG takes six integer values as a seed;
      * it is sufficient to set these all to the same integer, so we provide
      * a simpler interface here that just takes one integer.
+     *
+     * @hidecaller
      */
     static void SetSeed(uint32_t seed);
 
@@ -79,6 +81,7 @@
      * @endcode
      *
      * @param [in] run The run number.
+     * @hidecaller
      */
     static void SetRun(uint64_t run);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/rng-stream.cc ns-3.47/src/core/model/rng-stream.cc
--- ns-3.46/src/core/model/rng-stream.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/rng-stream.cc	2026-02-16 16:08:49.586229800 -0800
@@ -13,7 +13,6 @@
 #include "fatal-error.h"
 #include "log.h"
 
-#include <cstdlib>
 #include <iostream>
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/scheduler.cc ns-3.47/src/core/model/scheduler.cc
--- ns-3.46/src/core/model/scheduler.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/scheduler.cc	2026-02-16 16:08:49.586229800 -0800
@@ -8,7 +8,6 @@
 
 #include "scheduler.h"
 
-#include "assert.h"
 #include "log.h"
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/simple-ref-count.h ns-3.47/src/core/model/simple-ref-count.h
--- ns-3.46/src/core/model/simple-ref-count.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/simple-ref-count.h	2026-02-16 16:08:49.586229800 -0800
@@ -28,6 +28,9 @@
 /**
  * @ingroup ptr
  * @brief Empty class, used as a default parent class for SimpleRefCount
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 class Empty
 {
@@ -64,6 +67,9 @@
  *      to the object it manages exist anymore.
  *
  * Interesting users of this class include ns3::Object as well as ns3::Packet.
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 template <typename T, typename PARENT = Empty, typename DELETER = DefaultDeleter<T>>
 class SimpleRefCount : public PARENT
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/simulator.cc ns-3.47/src/core/model/simulator.cc
--- ns-3.46/src/core/model/simulator.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/simulator.cc	2026-02-16 16:08:49.586229800 -0800
@@ -7,9 +7,8 @@
  */
 #include "simulator.h"
 
-#include "assert.h"
-#include "des-metrics.h"
 #include "event-impl.h"
+#include "fatal-error.h"
 #include "global-value.h"
 #include "log.h"
 #include "map-scheduler.h"
@@ -19,14 +18,9 @@
 #include "simulator-impl.h"
 #include "string.h"
 
-#include "ns3/core-config.h"
-
-#include <cmath>
-#include <fstream>
-#include <iomanip>
-#include <iostream>
-#include <list>
-#include <vector>
+#ifdef ENABLE_DES_METRICS
+#include "des-metrics.h"
+#endif
 
 /**
  * @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/simulator.h ns-3.47/src/core/model/simulator.h
--- ns-3.46/src/core/model/simulator.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/simulator.h	2026-02-16 16:08:49.586229800 -0800
@@ -111,6 +111,8 @@
      * After this method has been invoked, it is actually possible
      * to restart a new simulation with a set of calls to Simulator::Run,
      * Simulator::Schedule and Simulator::ScheduleWithContext.
+     *
+     * @hidecaller
      */
     static void Destroy();
 
@@ -134,6 +136,8 @@
      *   - The user called Simulator::Stop with a stop time and the
      *     expiration time of the next event to be processed
      *     is greater than or equal to the stop time.
+     *
+     * @hidecaller
      */
     static void Run();
 
@@ -144,6 +148,8 @@
      * If a running event invokes this method, it will be the last
      * event executed by the Simulator::Run method before
      * returning to the caller.
+     *
+     * @hidecaller
      */
     static void Stop();
 
@@ -156,6 +162,8 @@
      * current simulation time.
      * @param [in] delay The stop time, relative to the current time.
      * @return The stop EventId.
+     *
+     * @hidecaller
      */
     static EventId Stop(const Time& delay);
 
@@ -224,6 +232,7 @@
      * @param [in] f The function to invoke.
      * @param [in] args Arguments to pass to MakeEvent.
      * @returns The id for the scheduled event.
+     * @hidecaller
      */
     template <typename FUNC,
               std::enable_if_t<!std::is_convertible_v<FUNC, Ptr<EventImpl>>, int> = 0,
@@ -245,6 +254,7 @@
      * @param [in] f The function to invoke.
      * @param [in] args Arguments to pass to the invoked function.
      * @returns The id for the scheduled event.
+     * @hidecaller
      */
     template <typename... Us, typename... Ts>
     static EventId Schedule(const Time& delay, void (*f)(Us...), Ts&&... args);
@@ -270,6 +280,7 @@
      * @param [in] delay The relative expiration time of the event.
      * @param [in] f The function to invoke.
      * @param [in] args Arguments to pass to MakeEvent.
+     * @hidecaller
      */
     template <typename FUNC,
               std::enable_if_t<!std::is_convertible_v<FUNC, Ptr<EventImpl>>, int> = 0,
@@ -288,6 +299,7 @@
      * @param [in] delay The relative expiration time of the event.
      * @param [in] f The function to invoke.
      * @param [in] args Arguments to pass to the invoked function.
+     * @hidecaller
      */
     template <typename... Us, typename... Ts>
     static void ScheduleWithContext(uint32_t context,
@@ -313,6 +325,7 @@
      * @param [in] f The function to invoke.
      * @param [in] args Arguments to pass to the invoked function.
      * @return The EventId of the scheduled event.
+     * @hidecaller
      */
     template <typename FUNC,
               std::enable_if_t<!std::is_convertible_v<FUNC, Ptr<EventImpl>>, int> = 0,
@@ -330,6 +343,7 @@
      * @param [in] f The function to invoke.
      * @param [in] args Arguments to pass to MakeEvent.
      * @return The EventId of the scheduled event.
+     * @hidecaller
      */
     template <typename... Us, typename... Ts>
     static EventId ScheduleNow(void (*f)(Us...), Ts&&... args);
@@ -428,6 +442,7 @@
      * Return the current simulation virtual time.
      *
      * @returns The current virtual time.
+     * @hidecaller
      */
     static Time Now();
 
@@ -457,6 +472,7 @@
      * @param [in] delay Delay until the event expires.
      * @param [in] event The event to schedule.
      * @returns A unique identifier for the newly-scheduled event.
+     * @hidecaller
      */
     static EventId Schedule(const Time& delay, const Ptr<EventImpl>& event);
 
@@ -467,6 +483,7 @@
      * @param [in] delay Delay until the event expires.
      * @param [in] context Event context.
      * @param [in] event The event to schedule.
+     * @hidecaller
      */
     static void ScheduleWithContext(uint32_t context, const Time& delay, EventImpl* event);
 
@@ -484,6 +501,7 @@
      *
      * @param [in] event The event to schedule.
      * @returns A unique identifier for the newly-scheduled event.
+     * @hidecaller
      */
     static EventId ScheduleNow(const Ptr<EventImpl>& event);
 
@@ -537,6 +555,7 @@
  *   Simulator::Schedule (Seconds (2.0) - Now (), &my_function);
  * @endcode
  * @return The current simulation time.
+ * @hidecaller
  */
 Time Now();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/system-path.cc ns-3.47/src/core/model/system-path.cc
--- ns-3.46/src/core/model/system-path.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/system-path.cc	2026-02-16 16:08:49.586229800 -0800
@@ -116,7 +116,7 @@
 }
 
 std::string
-FindSelfDirectory()
+FindSelf()
 {
     /**
      * This function returns the path to the running $PREFIX.
@@ -134,11 +134,12 @@
         ssize_t size = 1024;
         char* buffer = (char*)malloc(size);
         memset(buffer, 0, size);
-        int status;
+        int pathLength;
         while (true)
         {
-            status = readlink("/proc/self/exe", buffer, size);
-            if (status != 1 || (status == -1 && errno != ENAMETOOLONG))
+            pathLength = readlink("/proc/self/exe", buffer, size);
+            if ((pathLength > 0 && pathLength < size) ||
+                (pathLength == -1 && errno != ENAMETOOLONG))
             {
                 break;
             }
@@ -147,7 +148,7 @@
             buffer = (char*)malloc(size);
             memset(buffer, 0, size);
         }
-        if (status == -1)
+        if (pathLength == -1)
         {
             NS_FATAL_ERROR("Oops, could not find self directory.");
         }
@@ -159,15 +160,15 @@
         //  LPTSTR = char *
         DWORD size = 1024;
         auto lpFilename = (LPTSTR)malloc(sizeof(TCHAR) * size);
-        DWORD status = GetModuleFileName(nullptr, lpFilename, size);
-        while (status == size)
+        DWORD pathLength = GetModuleFileName(nullptr, lpFilename, size);
+        while (pathLength == size)
         {
             size = size * 2;
             free(lpFilename);
             lpFilename = (LPTSTR)malloc(sizeof(TCHAR) * size);
-            status = GetModuleFileName(nullptr, lpFilename, size);
+            pathLength = GetModuleFileName(nullptr, lpFilename, size);
         }
-        NS_ASSERT(status != 0);
+        NS_ASSERT(pathLength != 0);
         filename = lpFilename;
         free(lpFilename);
     }
@@ -202,7 +203,13 @@
         filename = buf;
     }
 #endif
-    return Dirname(filename);
+    return filename;
+}
+
+std::string
+FindSelfDirectory()
+{
+    return Dirname(FindSelf());
 }
 
 std::string
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/system-path.h ns-3.47/src/core/model/system-path.h
--- ns-3.46/src/core/model/system-path.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/system-path.h	2026-02-16 16:08:49.586229800 -0800
@@ -41,6 +41,17 @@
  * @ingroup systempath
  * Get the file system path to the current executable.
  *
+ * This path contains the currently-executing binary. For its directory,
+ * use FindSelfDirectory() instead.
+ *
+ * @return The path to the currently-executing binary
+ */
+std::string FindSelf();
+
+/**
+ * @ingroup systempath
+ * Get the file system path to the current executable.
+ *
  * This path is only equivalent to the current working directory when
  * the executable is executed in its parent directory.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/test.cc ns-3.47/src/core/model/test.cc
--- ns-3.46/src/core/model/test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/test.cc	2026-02-16 16:08:49.587229700 -0800
@@ -6,15 +6,19 @@
 
 #include "test.h"
 
-#include "abort.h"
 #include "assert.h"
 #include "config.h"
-#include "des-metrics.h"
+#include "fatal-error.h"
 #include "log.h"
 #include "rng-seed-manager.h"
 #include "singleton.h"
 #include "system-path.h"
 
+#ifdef ENABLE_DES_METRICS
+#include "des-metrics.h"
+#endif
+
+#include <algorithm>
 #include <cmath>
 #include <cstring>
 #include <list>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/test.h ns-3.47/src/core/model/test.h
--- ns-3.46/src/core/model/test.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/test.h	2026-02-16 16:08:49.587229700 -0800
@@ -1044,6 +1044,9 @@
  * method, and use the NS_TEST_* macros within DoRun.
  *
  * @see sample-test-suite.cc
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 class TestCase
 {
@@ -1062,11 +1065,17 @@
     virtual ~TestCase();
 
     // Delete copy constructor and assignment operator to avoid misuse
+
+    // Doxygen erroneously attributes all TestCases to this c'tor,
+    // hence we have to hide the caller graph
+    /** @hidecaller */
     TestCase(const TestCase&) = delete;
+
     TestCase& operator=(const TestCase&) = delete;
 
     /**
      * @return The name of this test
+     * @hidecaller
      */
     std::string GetName() const;
 
@@ -1075,6 +1084,7 @@
      * @brief Constructor.
      *
      * @param [in] name The name of the new TestCase created
+     * @hidecaller
      */
     TestCase(std::string name);
 
@@ -1084,6 +1094,7 @@
      * @param [in] testCase Pointer to the TestCase object to be added.
      * @param [in] duration Amount of time this test takes to execute
      *             (defaults to QUICK).
+     * @hidecaller
      */
     void AddTestCase(TestCase* testCase, Duration duration = Duration::QUICK);
 
@@ -1245,6 +1256,9 @@
  * @brief A suite of tests to run.
  *
  * @see sample-test-suite.cc
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 class TestSuite : public TestCase
 {
@@ -1267,6 +1281,7 @@
      *
      * @param [in] name The name of the test suite.
      * @param [in] type The TestType of the test suite (defaults to UNIT test).
+     * @hidecaller
      */
     TestSuite(std::string name, Type type = Type::UNIT);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/time.cc ns-3.47/src/core/model/time.cc
--- ns-3.46/src/core/model/time.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/time.cc	2026-02-16 16:08:49.587229700 -0800
@@ -11,8 +11,7 @@
 #include "log.h"
 #include "nstime.h"
 
-#include <cmath>   // pow
-#include <iomanip> // showpos
+#include <cmath> // pow
 #include <mutex>
 #include <sstream>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/timer.cc ns-3.47/src/core/model/timer.cc
--- ns-3.46/src/core/model/timer.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/timer.cc	2026-02-16 16:08:49.587229700 -0800
@@ -8,7 +8,6 @@
 #include "timer.h"
 
 #include "log.h"
-#include "simulation-singleton.h"
 #include "simulator.h"
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/traced-callback.h ns-3.47/src/core/model/traced-callback.h
--- ns-3.46/src/core/model/traced-callback.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/traced-callback.h	2026-02-16 16:08:49.587229700 -0800
@@ -37,6 +37,9 @@
  * number of arguments.
  *
  * @tparam Ts \explicit Types of the functor arguments.
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 template <typename... Ts>
 class TracedCallback
